Bug 1259354 - When pre-creating a vg of cinder-volumes packstack fails with an error
When pre-creating a vg of cinder-volumes packstack fails with an error
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
Kilo
x86_64 Linux
unspecified Severity high
: ---
: Kilo
Assigned To: Ivan Chavero
yeylon@redhat.com
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 08:50 EDT by Phill. Whiteside
Modified: 2016-04-26 17:25 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-30 19:09:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phill. Whiteside 2015-09-02 08:50:27 EDT
Description of problem:

packstack fails when pre-defined cinder-volumes volume group has been created.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install 'clean' centos v7 minimal server
2. Add volume group cinder-volumes
3. run packstack --allinone

Actual results:
192.168.1.100_keystone.pp:                           [ DONE ]        
192.168.1.100_glance.pp:                             [ DONE ]        
192.168.1.100_cinder.pp:                          [ ERROR ]          
Applying Puppet manifests                         [ ERROR ]

ERROR : Error appeared during Puppet run: 192.168.1.100_cinder.pp
Error: /Stage[main]/Cinder::Setup_test_volume/Exec[vgcreate cinder-volumes /dev/loop2]: Failed to call refresh: vgcreate cinder-volumes /dev/loop2 returned 5 instead of one of [0]



Expected results:

The packstack utility expects storage for use with Cinder to be available on a volume group named cinder-volumes. If this volume group does not already exist then packstack is able to create it automatically

Additional info:

I have been asked to set the flag at 
CONFIG_CINDER_VOLUMES_CREATE	--cinder-volumes-create	y
to n and retry.
Comment 1 Phill. Whiteside 2015-09-02 11:21:30 EDT
asked for log file... as unsure, have uploaded everything from /var/tmp/packstack to http://phillw.net/20150902-154340-iMzKI_/
Comment 2 Phill. Whiteside 2015-09-02 17:26:34 EDT
As asked, I reinstalled the server and created a VG cinder-volumes and then an answer.txt file. I altered CONFIG_CINDER_VOLUMES_CREATE	--cinder-volumes-create	y
to n as requested and the install using the command 
[root@localhost ~]# packstack --answer-file=./answers.txt 
did not error out.
Comment 3 Phill. Whiteside 2015-09-02 17:41:50 EDT
creating a new volume of 100 GB worked okay, so the initial limit of 20GB has been resolved.
Comment 4 Ivan Chavero 2015-11-08 22:55:01 EST
Tested --allinone with packstack from source and didn't reproduce the problem, i'm gonna test using current kilo package: openstack-packstack-2015.1-0.11.dev1616.g5526c38.fc23
Comment 5 Ivan Chavero 2015-11-08 23:56:59 EST
If the problem persists you can set CONFIG_CINDER_VOLUMES_CREATE=n so you can create manually the volume withouht any problem.

is this a desired solution?
Comment 6 Ivan Chavero 2015-11-09 00:19:55 EST
Sorry i missed to mention that in comment 2 the OP talks about this solution so i closing this bug.
Comment 7 Phill. Whiteside 2015-11-10 09:22:54 EST
The bug is not fixed, what we have is a workaround. If you do not know of this link, you cannot pass the 20GB limit. The release notes need editing, or the bug still needs fixing. Fixing the bug is always the preferred way as we know people do not read the release notes :D

Note You need to log in before you can comment on or make changes to this bug.